aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/sm-binding-test-gdb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/sm-binding-test-gdb.sh')
-rwxr-xr-xscripts/sm-binding-test-gdb.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/sm-binding-test-gdb.sh b/scripts/sm-binding-test-gdb.sh
new file mode 100755
index 0000000..68fabc7
--- /dev/null
+++ b/scripts/sm-binding-test-gdb.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+echo "launch soundmanager binder test"
+cmd=/usr/bin/afb-daemon
+libsm="soundmanager-service.so"
+port="12345"
+token="123456"
+if test $1; then
+ port=$1
+fi
+if test $2; then
+ token=$2
+fi
+libpath="/home/root"
+arg="--verbose --verbose --verbose --port=${port} --token=${token} --binding=${libpath}/${libsm}"
+echo "gdb $cmd $arg"
+gdb $cmd
+echo $! $?
+if(test $! -gt 0); then
+ echo "success to launch"
+fi